Subject: Re: [PATCH 02/10] trailer: include "trailer" term in API functions

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Jan 2024 14:28:01 -0800

"Linus Arver via GitGitGadget" <[email-masked]> writes:

> From: Linus Arver <[email-masked]>
>
> These functions are exposed to clients and so they should include
> "trailer" in their names for easier identification, just like all the
> other functions already exposed by trailer.h.

Oh, if you were to do this and code movement in two separate
patches, doing the rename before the move in the previous step would
have made much more sense.  If we stopped after 01/10, the tree
would have been a very sorry state.  If this came first, even if we
stop after these renaming of internal functions that are not extern,
nobody wil be hurt by these new and improved names.